aboutsummaryrefslogtreecommitdiffstats
path: root/main/qt5-qtdeclarative/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2014-12-11 07:26:28 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2014-12-11 07:26:28 +0000
commit6df2a6e0a7180b37d10fbb8352a9759e4356ca8d (patch)
tree1bf7cad4cbf9d5a84267ca93625fdf0fc833801d /main/qt5-qtdeclarative/APKBUILD
parent22a40d0a8ecfcb7e23728e990fc9c22ef1ac50bf (diff)
downloadaports-6df2a6e0a7180b37d10fbb8352a9759e4356ca8d.tar.gz
aports-6df2a6e0a7180b37d10fbb8352a9759e4356ca8d.tar.bz2
aports-6df2a6e0a7180b37d10fbb8352a9759e4356ca8d.tar.xz
main/qt5-qtdeclarative: fix file conflicts with qt4
Diffstat (limited to 'main/qt5-qtdeclarative/APKBUILD')
-rw-r--r--main/qt5-qtdeclarative/APKBUILD7
1 files changed, 6 insertions, 1 deletions
diff --git a/main/qt5-qtdeclarative/APKBUILD b/main/qt5-qtdeclarative/APKBUILD
index 9fecac6eb3..a5ef5d852f 100644
--- a/main/qt5-qtdeclarative/APKBUILD
+++ b/main/qt5-qtdeclarative/APKBUILD
@@ -5,7 +5,7 @@ _ver=${pkgver/_/-}
_ver=${_ver/beta0/beta}
_ver=${_ver/rc0/rc}
_V=${_ver/rc/RC}
-pkgrel=0
+pkgrel=1
pkgdesc="Qt5 - QtDeclarative component"
url="http://qt-project.org/"
arch="all"
@@ -42,6 +42,11 @@ package() {
cd "$_builddir"
make install INSTALL_ROOT="$pkgdir" || return 1
rm "$pkgdir"/usr/lib/*.la || return 1
+
+ # work around qt4 conflicts
+ for i in qmlplugindump qmlprofiler; do
+ mv "$pkgdir"/usr/bin/$i "$pkgdir"/usr/bin/$i-qt5 || return 1
+ done
}
md5sums="72ae60527ebb15f4b85cfbadc4c174de qtdeclarative-opensource-src-5.3.2.tar.xz"